Opened 8 years ago

Closed 8 years ago

#836 closed Bug (fixed)

Crash report 2014-04-03

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.0 RC1
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 03/04/2014 03:07:16 p.m. (UTC time).
User message:

-
Exception:
System.ArgumentException: Estructura no reconocida en el formato de datos 'XamlPackage'.
Nombre del parámetro: stream
   en System.Windows.Documents.TextRangeBase.Load(TextRange thisRange, Stream stream, String dataFormat)
   en System.Windows.Documents.TextRange.LoadVirtual(Stream stream, String dataFormat)
   en WorkspaceManager.Model.TextModel.loadRTB(RichTextBox rtb)
   en WorkspaceManager.View.BinVisual.BinTextVisual..ctor(TextModel model)
   en WorkspaceManager.View.BinVisual.BinEditorVisual.<>c__DisplayClass2.<internalLoad>b__1(Object )
   en System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   en MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   en System.Windows.Threading.DispatcherOperation.InvokeImpl()
   en System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   en System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   en System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   en System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   en System.Windows.Threading.DispatcherOperation.Invoke()
   en System.Windows.Threading.Dispatcher.ProcessQueue()
   en System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   en MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   en MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   en System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   en MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   en System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   en MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   en MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   en System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   en System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   en System.Windows.Threading.Dispatcher.Run()
   en System.Windows.Application.RunDispatcher(Object ignore)
   en System.Windows.Application.RunInternal(Window window)
   en System.Windows.Application.Run(Window window)
   en Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Microsoft Windows NT 6.2.9200.0
Processors: 4
Administrative Rights: False
Current culture: es-ES
CrypTool version: 2.0.4424.1
Installation type: NSIS
Build type: Beta
Build time: 30/12/2011 09:02:04 a.m.
Product name: CrypTool 2.0 (Beta 7 - Build 4424.1)
Common language runtime version: 4.0.30319.34011
System time: 09:07 a.m.


Change History (2)

comment:1 Changed 8 years ago by Arno Wacker

Milestone: CrypTool 2.0 BETA 10CrypTool 2.0 RC1

Changed milestone to RC1, since BETA 10 is long out..

comment:2 Changed 8 years ago by kopal

Resolution: fixed
Status: newclosed

(In [5970]) added exception handling to loading and saving of RTB model of workspace manager model -> avoid crash if there is a problem with the RTB fixes #836 fixes #837

Note: See TracTickets for help on using tickets.